<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class News_add extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
         $id = $this->uri->segment(2);
     
      if(trim($id)!='')
      {
          
          $fetch_data  = '';
          $data['fetch_data'] = $this->Common_model->get_news_data_by_id($id);
        
          
         $this->load->view('includes/header');
	     $this->load->view('news_add_view',$data);
         $this->load->view('includes/footer');
          
      }else
      {
          
         $this->load->view('includes/header');
	     $this->load->view('news_add_view');
         $this->load->view('includes/footer');
          
      } 
      
      
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     
    function add_news_data()
    {
        
        
          if ($this->input->post('addnews')) {
               
                $news_title               = $this->input->post('news_title');
                $news_thumbnail_alt_tag   = $this->input->post('news_thumbnail_alt_tag');
                $news_detail_page_url     = $this->input->post('news_detail_page_url');
               
                $config['upload_path']   = 'news-thumbnail/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size']      =  500;
        
                $this->load->library('upload', $config);
        
                if (!$this->upload->do_upload('news_thumbnail')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                    $data = array(
                            'success_alert'         => $error_msg,
                            'news_title'            => $news_title,
                            'news_thumbnail_alt_tag'=> $news_thumbnail_alt_tag,
                            'news_detail_page_url'  => $news_detail_page_url,
                            
                         );
                    
                    
                      $this->load->view('includes/header');
                	  $this->load->view('news_add_view',$data);
                      $this->load->view('includes/footer'); 
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                
                    $data = array(
                        'added_date' => date('Y-m-d H:i:s'),'news_title' => $news_title,
                        'news_thumbnail_alt_tag' => $news_thumbnail_alt_tag,'news_detail_page_url' => $news_detail_page_url,
                        'news_thumbnail'=>$image_name
                    
                        );
               
                   $insert_data = '';
                   $insert_data = $this->Common_model->insert_news_data($data);
                  
                    if($insert_data){ 
                        
                      
                      redirect('news_list/2/');
                              
                              
                    }
                }
             
           }
           
           
           
           if ($this->input->post('updatenews')) {
               
                $news_title             = $this->input->post('news_title');
                $news_thumbnail_alt_tag = $this->input->post('news_thumbnail_alt_tag');
                $news_detail_page_url   = $this->input->post('news_detail_page_url');
                $last_image             = $this->input->post('last_image');
                $updateid               = $this->input->post('updateid');
               
               
                $config['upload_path'] = 'news-thumbnail/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
        
                $this->load->library('upload', $config);
                
                 if(!empty($_FILES['news_thumbnail']['name'])){   
        
                if (!$this->upload->do_upload('news_thumbnail')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('news_add/'.$updateid.'/2/');
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                   
                }
                
                 }
                
                
                if($image_name=='')
                {
                  $image_name =  $last_image; 
                }
                   
                
                $data = array(
                        'updated_date' => date('Y-m-d H:i:s'),'news_title' => $news_title,
                        'news_thumbnail_alt_tag' => $news_thumbnail_alt_tag,'news_detail_page_url' => $news_detail_page_url,
                        'news_thumbnail'=>$image_name
                    
                        );
               
                   $update_data = '';
                   $update_data = $this->Common_model->update_news_data($data,$updateid);
                  
                    if($update_data){ 
                        
                      
                      redirect('news_list/3/');
                              
                              
                    }
                
                
             
           }
           
        
    }
     
     
     
   function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}
     
     
     
     
     
}