<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class Gallery_add extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
        
       $id = $this->uri->segment(2);
     
      if(trim($id)!='')
      {
          
          $fetch_data  = '';
          $data['fetch_data'] = $this->Common_model->get_gallery_data_by_id($id);
        
          
         $this->load->view('includes/header');
	     $this->load->view('gallery_add_view',$data);
         $this->load->view('includes/footer');
          
      }else
      {
          
         $this->load->view('includes/header');
	     $this->load->view('gallery_add_view');
         $this->load->view('includes/footer');
          
      }
 
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     
    function add_gallery_data()
    {
           
        
           if ($this->input->post('addgallery')) {
               
                $gallery_title            = $this->input->post('gallery_title');
                $gallery_image_alt_tag    = $this->input->post('gallery_image_alt_tag');
                $gallery_detail_page_url  = $this->input->post('gallery_detail_page_url');
                
                
                $config['upload_path'] = 'gallery-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
        
                $this->load->library('upload', $config);
        
                if (!$this->upload->do_upload('gallery_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                    $data = array(
                            'success_alert'           => $error_msg,
                            'gallery_title'           => $gallery_title,
                            'gallery_image_alt_tag'   => $gallery_image_alt_tag,
                            'gallery_detail_page_url' => $gallery_detail_page_url,
                            
                         );
                    
                    
                      $this->load->view('includes/header');
                	  $this->load->view('gallery_add_view',$data);
                      $this->load->view('includes/footer'); 
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                
                    $data = array(
                        'added_date' => date('Y-m-d H:i:s'),'gallery_image' => $image_name,
                        'gallery_image_alt_tag' => $gallery_image_alt_tag,'gallery_title' => $gallery_title,
                        'gallery_detail_page_url' => $gallery_detail_page_url
                    
                        );
               
                   $insert_data = '';
                   $insert_data = $this->Common_model->insert_gallery_data($data);
                  
                    if($insert_data){ 
                        
                      
                      redirect('gallery_list/2/');
                              
                              
                    }
                }
             
           }
           
           
           
           if ($this->input->post('updategallery')) {
               
                $gallery_title            = $this->input->post('gallery_title');
                $gallery_image_alt_tag    = $this->input->post('gallery_image_alt_tag');
                $gallery_detail_page_url  = $this->input->post('gallery_detail_page_url');
                $last_image               = $this->input->post('last_image');
                $updateid                 = $this->input->post('updateid');
               
               
                $config['upload_path'] = 'gallery-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
        
                $this->load->library('upload', $config);
                
                 if(!empty($_FILES['gallery_image']['name'])){   
        
                if (!$this->upload->do_upload('gallery_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                    redirect('gallery_add/'.$updateid.'/2/');
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                   
                }
                
                 }
                
                
                if($image_name=='')
                {
                  $image_name =  $last_image; 
                }
                   
                
                 $data = array(
                        'updated_date' => date('Y-m-d H:i:s'),'gallery_image' => $image_name,
                        'gallery_image_alt_tag' => $gallery_image_alt_tag,'gallery_title' => $gallery_title,
                        'gallery_detail_page_url' => $gallery_detail_page_url
                    
                        );
               
                   $update_data = '';
                   $update_data = $this->Common_model->update_gallery_data($data,$updateid);
                  
                    if($update_data){ 
                        
                      
                      redirect('gallery_list/3/');
                              
                              
                    }
                
                
             
           }
           
           

 
    }
    
    
    
    
  function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}
    
    

     
}