<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class Page_list extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
      
      $data['page_data']  =  $this->Common_model->fetch_page_data();
       
      $this->load->view('includes/header');
	  $this->load->view('page_list_view',$data);
      $this->load->view('includes/footer'); 
      
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
      function delete_page()
      {
          
          $updateid = $this->uri->segment(3);
          $data     = array('status'=>'0');
          $delete   = $this->Common_model->delete_page_data_by_id($data,$updateid);
          
          if($delete)
          {
                redirect('page_list/4/');
          }
          
          
      }
      
      
      function deactivate_page()
      {
          
          $updateid = $this->uri->segment(3);
          $data     = array('status'=>'2');
          $delete   = $this->Common_model->deactivate_page_data_by_id($data,$updateid);
          
          if($delete)
          {
                redirect('page_list/5/');
          }
          
          
      }
      
      function activate_page()
      {
          
          $updateid = $this->uri->segment(3);
          $data     = array('status'=>'1');
          $delete   = $this->Common_model->activate_page_data_by_id($data,$updateid);
          
          if($delete)
          {
                redirect('page_list/6/');
          }
          
          
      }
         
     
	function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}
        
     
     
}